Bug 42719 - eepro100 NICS choke during net install
eepro100 NICS choke during net install
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-29 13:18 EDT by Ben Levenson
Modified: 2007-04-18 12:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-05 14:29:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-05-29 13:18:35 EDT
Description of Problem:
possibly related to bug # 27440
kernel-smp-2.4.3-7
build qa0523.0
The eepro100 NICS seem to be on the fritz w/ the Intel and the Compaq. The
Compaq started acting up about the middle of last week, so I swapped out
the NIC with a tulip card.  Unfortunately I didn't get any info from lspci
before it was yanked out, but I'm sure I can get it if needed.  I didn't
think much of it until I started noticing the same behavior on the
Intel on Friday afternoon.  Net installs start choking at random points
during package installation. It doesn't hard lock the system, but package
installation progress comes to a complete halt.  The Intel currently has
two adapters and I've verified the behavior with both the onboard and PCI
adapters.  The system at my desk doesn't have any network related 
problems during or after installation, and the NICs seem to be almost
identical to the second device installed in the Intel in the lab.
(I can perform net installs w/ both adapters in the system at my desk).

How Reproducible:
100% 

Additional Information:
Here is the info from "lspci -v" for both systems:
Intel (lab) -- 4 CPUs / 4 Gigs RAM:
00:05.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] 
(rev 08)        
  Subsystem: Intel Corporation 82559 Fast Ethernet LAN on Motherboard
  Flags: bus master, medium devsel, latency 32, IRQ 55
  Memory at 00000000f3fe0000 (32-bit, non-prefetchable) [size=4K]
  I/O ports at 6f00 [size=64]
  Memory at 00000000f3e00000 (32-bit, non-prefetchable) [size=1M]
  Capabilities: [dc] Power Management version 2

04:01.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] 
(rev 08)       
  Subsystem: Intel Corporation EtherExpress PRO/100+ Management Adapter
  Flags: bus master, medium devsel, latency 32, IRQ 63
  Memory at 00000000e3ff0000 (32-bit, non-prefetchable) [size=4K]
  I/O ports at af00 [size=64]
  Memory at 00000000e3e00000 (32-bit, non-prefetchable) [size=1M]
  Expansion ROM at 00000000e3d00000 [disabled] [size=1M]
  Capabilities: [dc] Power Management version 2


Big Sur (at my desk) -- 1 CPU / 1 Gig RAM:
00:05.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] 
(rev 08)
  Subsystem: Intel Corporation EtherExpress PRO/100+ Management Adapter
  Flags: bus master, medium devsel, latency 32, IRQ 49
  Memory at 00000000fdeef000 (32-bit, non-prefetchable) [size=4K]
  I/O ports at 1000 [size=64]
  Memory at 00000000fdf00000 (32-bit, non-prefetchable) [size=1M]
  Capabilities: [dc] Power Management version 2

01:02.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] 
(rev 08)
  Subsystem: Intel Corporation EtherExpress PRO/100+ Management Adapter
  Flags: bus master, medium devsel, latency 32, IRQ 68
  Memory at 00000000fbdff000 (32-bit, non-prefetchable) [size=4K]
  I/O ports at 2000 [size=64]
  Memory at 00000000fbf00000 (32-bit, non-prefetchable) [size=1M]
  Expansion ROM at <unassigned> [disabled] [size=1M]
  Capabilities: [dc] Power Management version 2
Comment 1 Bill Nottingham 2001-05-29 13:22:08 EDT
Any net installs or just NFS?
Comment 2 Ben Levenson 2001-05-29 13:50:32 EDT
FTP, HTTP, and NFS
Comment 3 Arjan van de Ven 2001-05-29 13:52:21 EDT
Intel apparently released a 1.6.6 driver of their driver with the hardware 
workaround.... I can't locate the driver on their site though; everything has
moved and most of their links are stale
Comment 4 Matt Domsch 2001-05-30 23:01:59 EDT
I found it...
  ftp://download.intel.com/df-support/2749/eng/e100-1.6.6.tar.gz

The parent page is:
http://appsr.intel.com/scripts-df/filter_results.asp?strOSs=39&strTypes=PLU%
2CBIO%2CDRV%2CSPH%2CUTL&ProductID=417&OSFullName=Linux*&submit=Go%21
Comment 5 Bill Nottingham 2001-05-30 23:29:14 EDT
Yes. The relevant change in that driver is that it frobs a byte
in the eeprom. (!)
Comment 6 Bill Nottingham 2001-06-05 14:29:36 EDT
The current plan is to not ship this, as shipping a driver that frobs the
eeprom and forces a reboot is not acceptable; this is a fix that should be
done in firmware, or by a userspace program.
Comment 7 Ben Levenson 2001-06-07 18:00:30 EDT
closing
Comment 8 Bill Nottingham 2001-06-07 18:02:16 EDT
actually, we changed our minds, and we're shipping e100-1.6.6 anyway.

Note You need to log in before you can comment on or make changes to this bug.